<div class="title">系统检测</div>

<?
	$base=realpath(dirname(__FILE__)."/../");
	if(file_exists($base."/_debug/") or file_exists($base."/config.inc") or file_exists($base."/custom.inc")){	
?>
<p>系统已经安装，如果要重新安装系统，请按照以下步骤进行：
<ol>
	<li>删除根目录下的 congif.inc 配置文件</li>
	<li>删除根目录下的 custom.inc 配置文件</li>
	<li>删除根目录下的 _debug 调试目录</li>
	<li>备份或删除以前的数据库，或者安装的时候使用其他的数据库名</li>
</ol>
<style>#do2{visibility:hidden;}</style>
<?	
	}
	else{

		$str="系统检测结果：<hr>";
		$flag=true;

		// 检测运行环境（系统版本、PHP和Zend的兼容性）			
		$result="成功";
		$reason="";

		$os=strtolower(substr(PHP_OS,0,3));
		$pv=substr(PHP_VERSION,0,strrpos(PHP_VERSION,"."));
		if($pv<4.4){
			$result="失败";
			$reason="<li>当前PHP版本低于4.4</li>";
			$flag=false;
		}
		else{
			if(function_exists("zend_version")<>true){
				$result="失败";
				$reason.="<li>没有安装Zend Optimizer</li>";
				$flag=false;		
			}
			else{
				if($os=="win" and $pv>=5.0){
					$result="失败";
					$reason.="<li>在Windows系统下要求PHP版本为4.4.x</li>";
					$flag=false;			
				}
			}	
		}
		$str.="<li>检测运行环境 ... $result</li><dl>$reason</dl>";


		// 检测系统配置
		$result="成功";
		$reason="";
		if(floor(get_cfg_var("allow_url_fopen"))<>1){
			$result="失败";
			$reason.="<li>PHP配置错误，请修改PHP配置文件设置：allow_url_fopen=on</li>";
			$flag=false;			
		}

		if(function_exists("mysql_close")==false){
			$result="失败";
			$reason.="<li>mysql扩展库没有安装</li>";
			$flag=false;
		}
		if(function_exists("imagecreate")==false){
			$result="失败";
			$reason.="<li>gd2扩展库没有安装</li>";
			$flag=false;
		}
		if(function_exists("mb_convert_encoding")==false){
			$result="失败";
			$reason.="<li>mbstring扩展库没有安装</li>";
			$flag=false;
		}
		$str.="<li>检测系统配置 ... $result</li><dl>$reason</dl>";
		

		//检测目录权限
		$result="成功";
		$reason="";

		$folder=dirname(__FILE__)."/";
		if(floor(substr(sprintf("%o",@fileperms($folder)),-3))<=700){
			$result="失败";
			$reason="<li>请设置网站根目录的权限为可读写</li>";
			$flag=false;
		}	
		$folder.="_debug/";
		if(is_dir($folder) and @rmdir($folder)==false){
			$result="失败";
			$reason="<li>网站根目录下的 _debug 调试目录存在且无法删除</li>";
			$flag=false;
		}
		else{			
			if(@mkdir($folder,0777)==false){
				$result="失败";
				$reason="<li>请设置网站根目录内文件的权限为 777</li>";
				$flag=false;
			}
			else{
				@rmdir($folder);
			}
		}
		$str.="<li>检测目录权限 ... $result</li><dl>$reason</dl>";
		
		echo "<ol>".$str."</ol>";

		if($flag==false){
			echo "<p><font style='color:red;'>温馨提示</font>：遇到问题可以去查阅<a href='http://doc.eachgain.cn' target='_blank'>官方文档</a>或到<a href='http://bbs.eachgain.cn' target='_blank'>官方论坛</a>寻求帮助。";
			echo "<style>#do2{visibility:hidden;}</style>";
		}
		else{
			$_SESSION["installing"]=$step+1;
		}
	}
?>